using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Waste.Application;
using Waste.Domain;

namespace Waste.Web.Entry.Pages.Device
{
    /// <summary>
    /// Éè±¸¹ÜÀí
    /// </summary>
    public class IndexModel : BaseModel
    {
        private readonly IBusinessService _businessService;
        public Guid emptyBusinessid = Guid.Empty;
        public List<W_Business> blist = new List<W_Business>();
        public IndexModel(IBusinessService businessService)
        {
            _businessService = businessService;
        }
        public async Task OnGet()
        {
            blist = await _businessService.GetAllList();
        }
    }
}
